[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: RFC/RFS: beef - a flexible BrainFuck interpreter

On Fri, 3 Mar 2006 13:23:24 -0300
"Margarita Manterola" <margamanterola@gmail.com> wrote:

> * E: There's no "ITP".


> * W: You are using "compat" with debhelper 4.

> * W: The program is licensed under GPL version 2.

Will not fix. From the Policy, section 12.5:

	"Packages distributed under the UCB BSD license, the Artistic license, the GNU
GPL, and the GNU LGPL should refer to the files /usr/share/common-licenses/BSD,
/usr/share/common-licenses/Artistic, /usr/share/common-licenses/GPL, and
/usr/share/common-licenses/LGPL respectively"

So /usr/share/common-licenses/GPL is the right file to point to.

> * W: In your debian/rules you included the "dh_installdocs" and
> "dh_installexamples" rules, but there is neither a "docs" nor a
> "examples".  Also, you have a dh_installchangelogs, but the changelog
> is actually installed by the Makefile.

Useless call to dh_installexamples removed.
dh_installdocs installs the copyright file, so it's needed.
dh_installchangelogs installs the changelog.Debian.gz, so I can't remove it.

> The package also has the following lintian warning:
> W: beef source: out-of-date-standards-version 3.6.1

Fixed. Should build in sid without warnings now.

> I think that's all.

Probably it's not, tomorrow someone will find another problem with my package.
It's not a problem, I'm happy instead because I'm learning a lot of things.

The fixed files can be found at the same place:

	* http://www.kiyuko.org/debian/beef_0.0.3.orig.tar.gz
	* http://www.kiyuko.org/debian/beef_0.0.3-1.diff.gz
	* http://www.kiyuko.org/debian/beef_0.0.3-1.dsc


KiyuKo <eof AT kiyuko DOT org>
"Like Russian Rulette with six bullets loaded"

Attachment: pgpt4FAYXhCn7.pgp
Description: PGP signature

Reply to: